<template>
    <div st>
        <v-banner elevation="2" tile>
            <h4>Na dobry początek poznajmy się lepiej.</h4>
        </v-banner>
        <v-stepper v-model="e6">
            <v-stepper-step :complete="e6 > 1" step="1">
                Uzupełnij swoje dane:
            </v-stepper-step>
            <v-stepper-content step="1">
                <v-card class="mb-12" height="auto" style="left:6px">
                    <v-form ref="form" v-model="valid" lazy-validation>
                        <v-slider style="margin: 27px" v-model="age" hint="Podaj swój wiek" max="120" min="18"
                            :thumb-size="24" thumb-label="always" persistent-hint></v-slider>
                        <v-divider inset></v-divider>
                        <v-range-slider style="margin: 27px" v-model="ageRange" hint="Osoby w jakim wieku Cię interesują?"
                            max="120" min="18" :thumb-size="24" thumb-label="always" persistent-hint></v-range-slider>
                        <v-divider inset></v-divider>
                        <v-radio-group style="margin: 27px" v-model="sex">
                            <v-radio label="Jestem mężczyzną, szukam kobiety." value="men"></v-radio>
                            <v-radio label="Jestem kobietą, szukam mężczyzny." value="woman"></v-radio>
                        </v-radio-group>
                    </v-form>
                    <v-textarea name="input-7-1" v-model="about" label="Napisz coś s sobie"
                        :value="about"
                        hint="Krótki opis"></v-textarea>

                </v-card>
                <v-btn color="white" @click="e6 = 2">
                    Dalej
                </v-btn>
            </v-stepper-content>
            <v-stepper-step :complete="e6 > 2" step="2">
                Wzrost
            </v-stepper-step>
            <v-stepper-content step="2">
                <v-card color="white" class="mb-12" height="200px">
                    <v-slider style="margin: 27px" v-model="height" hint="Podaj swój wzrost" max="240" min="120"
                        :thumb-size="24" thumb-label="always" persistent-hint></v-slider>
                    <v-divider inset></v-divider>
                </v-card>
                <v-btn block elevation="2" fab icon plain raised text tile @click="e6 = 3">
                    Dalej
                </v-btn>
            </v-stepper-content>


            <!-- <v-stepper-step :complete="e6 > 3" step="3">
                Napisz coś o sobie
            </v-stepper-step>
            <v-stepper-content step="3">
                <v-card color="white" class="mb-12" height="200px">
                    <v-textarea name="input-7-1" v-model="about" label="Napisz coś s sobie"
                        :value="about"
                        hint="Krótki opis"></v-textarea>
                </v-card>
                <v-btn block elevation="2" fab icon plain raised text tile @click="e6 = 4">
                    Dalej
                </v-btn>
            </v-stepper-content> -->


            <v-stepper-step :complete="e6 > 3" step="3">
                Dodaj zdjęcia profilowe
            </v-stepper-step>
            <v-stepper-content step="3">
                <v-card color="white lighten-1" class="mb-12" height="auto">
                    <v-row align="center" justify="center">
                        <PhotosComponent />
                        <!-- <UploadImage ref="upload" /> -->
                    </v-row>
                </v-card>
                <v-btn block elevation="2" fab icon plain raised text tile @click="e6 = 4">
                    Dalej
                </v-btn>
            </v-stepper-content>
            <v-stepper-step step="4">
                Na koniec pytanie
            </v-stepper-step>
            <v-stepper-content step="4">
                <v-card color="white lighten-1" class="mb-12" height="200px">
                    <v-tooltip right>
                        <template v-slot:activator="{ on, attrs }">
                            Czy chcesz wypełnić <a href="">kwestionariusz`` zgodności</a>?
                        </template>
                        <span>Kliknij by dowiedzieć się więcej o teście</span>
                    </v-tooltip>
                    <v-radio-group v-model="associationTest">
                        <v-radio label="tak" :value="true"></v-radio>
                        <v-radio label="na razie się wstrzymam" :value="null"></v-radio>
                        <v-radio label="nie" :value="false"></v-radio>
                    </v-radio-group>
                </v-card>
                <v-btn block elevation="2" color="primary" fab icon plan raised text tile @click="handleFinish">
                    Akceptuj
                </v-btn>
            </v-stepper-content>
        </v-stepper>
        <v-snackbar v-model="configurationFinished" multiline>
            Gratulacje, właśnie zakończył{{ sex === 'men' ? 'eś' : 'aś' }} konfigurację konta
            <template v-slot:action="{ attrs }">
                <v-btn color="info" text v-bind="attrs" @click="() => { showErrors = false }">
                    Akceptuj
                </v-btn>
            </template>
        </v-snackbar>
        <v-dialog v-model="questionnaireDialog" fullscreen hide-overlay transition="dialog-bottom-transition">
            <template v-slot:activator="{ on, attrs }">
            </template>
            <v-card>
                <v-toolbar dark color="primary">
                    <v-btn icon dark @click="questionnaireDialog = false">
                        <v-icon>mdi-close</v-icon>
                    </v-btn>
                    <v-toolbar-title>Kwestionariusz zgodności</v-toolbar-title>
                    <v-spacer></v-spacer>
                    <v-toolbar-items>
                        <v-btn dark text @click="questionnaireDialog = false">
                            Save
                        </v-btn>
                    </v-toolbar-items>
                </v-toolbar>
                <v-list three-line subheader>
                    <v-subheader>User Controls</v-subheader>
                    <v-list-item>
                        <v-list-item-content>
                            <v-list-item-title>Content filtering</v-list-item-title>
                            <v-list-item-subtitle>Set the content filtering level to restrict apps that can be
                                downloaded</v-list-item-subtitle>
                        </v-list-item-content>
                    </v-list-item>
                    <v-list-item>
                        <v-list-item-content>
                            <v-list-item-title>Password</v-list-item-title>
                            <v-list-item-subtitle>Require password for purchase or use password to restrict
                                purchase</v-list-item-subtitle>
                        </v-list-item-content>
                    </v-list-item>
                </v-list>
                <v-divider></v-divider>
            </v-card>
        </v-dialog>
    </div>
</template>
<script>
export default {
    name: 'AccountConfiguration',

    data() {
        return {
            e6: 1,
            valid: true,
            age: 18,
            ageRange: [30, 60],
            sex: null,
            height: 160,
            associationTest: true,
            configurationFinished: false,
            questionnaireDialog: false,
            restPhotos: [],
            about: ''
        }
    },

    beforeCreate() {
        this.$bus.$emit('hide-menu');
    },



    methods: {
        validate() {
            this.$refs.form.validate()
        },

        reset() {
            this.$refs.form.reset()
        },

        resetValidation() {
            this.$refs.form.resetValidation()
        },

        handleFinish() {
            if (this.associationTest) {
                this.questionnaireDialog = true;
            } else {
                let { age, ageRange, sex, height, about } = this;
                // const restPhotos =
                //     this.$refs.uploader.$refs.uploader.images.map(el => el.path);
                this.$axios.put(this.$config.serverUrl + '/user/configuration',
                    {
                        uuid: this.$store.state.user.uuid,
                        age, ageRange, sex, height, about
                    }).then(({ data }) => {
                        if (data.status === 'OK') {
                            this.configurationFinished = true
                            setTimeout(() => {
                                this.$store.dispatch('setUser', { state: 'configured' })
                            }, 5000);
                        }
                    }).catch(error => {
                        console.error(error)
                    })
            }
        },
    },
}
</script>
<style scoped>
.v-stepper__wrapper {
    overflow: visible !important;
}
</style>